logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in RSS X


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.
Post new topic   Forum Index -> Third-party Modules View previous topic :: View next topic
Reply to topic   Topic: Loaded APR and PCRE2 do not match with compiled
Author
man_of_culture



Joined: 19 Apr 2024
Posts: 7
Location: Brazil

PostPosted: Fri 19 Apr '24 19:12    Post subject: Loaded APR and PCRE2 do not match with compiled Reply with quote

OS: Windows Server 2022
File: error.log
PHP 8.3 VS16 x64 TS
Apache 2.4.59-240404 Win64
mod_security-2.9.7-win64-VS17

I know this topic has already been published but I still confused. I have Mod Security installed and configured and get this message in my log:

APR compiled version="1.7.0"; loaded version="1.7.4"
Loaded APR do not match with compiled!
PCRE2 compiled version="10.40 "; loaded version="10.43"
Loaded PCRE do not match with compiled!

I must:

1. Just wait for mod_security update release and it will be fixed.

2. Downgrade the Apache version to the "Apache httpd 2.4.54" because it have the 'APR 1.7.0' and 'PCRE 10.40'.

3. Don't do anything; This does not affect the operation of ModSecurity and downgrading is not safe due to vulnerabilities. You must wait for mod_security updates.

or

Send me your answer about this. Smile
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 3056
Location: Hilversum, NL, EU

PostPosted: Fri 19 Apr '24 20:28    Post subject: Reply with quote

3
Is using/loading the latest version of APR and PCRE2.
No problem.
Back to top
man_of_culture



Joined: 19 Apr 2024
Posts: 7
Location: Brazil

PostPosted: Mon 22 Apr '24 16:24    Post subject: Reply with quote

Steffen wrote:
3
Is using/loading the latest version of APR and PCRE2.
No problem.



Thank you Smile
Back to top


Reply to topic   Topic: Loaded APR and PCRE2 do not match with compiled View previous topic :: View next topic
Post new topic   Forum Index -> Third-party Modules